# Yahoo! UI Library

### Menu 2.2.2

Yahoo! UI Library > menu > YAHOO.widget.MenuBarItem

## Class YAHOO.widget.MenuBarItem - extends YAHOO.widget.MenuItem

Creates an item for a menu bar.

### Constructor

YAHOO.widget.MenuBarItem `( p_oObject , p_oConfig )`

Parameters:
  `p_oObject <String>` String specifying the text of the menu bar item.
  `p_oObject <HTMLLIElement>` Object specifying the `<li>` element of the menu bar item.
  `p_oObject <HTMLOptGroupElement>` Object specifying the `<optgroup>` element of the menu bar item.
  `p_oObject <HTMLOptionElement>` Object specifying the `<option>` element of the menu bar item.
  `p_oConfig <Object>` Optional. Object literal specifying the configuration for the menu bar item. See configuration class documentation for more details.

### Properties

#### CSS_CLASS_NAME `- final String`

String representing the CSS class(es) to be applied to the `<li>` element of the menu bar item.
Default Value: "yuimenubaritem"

#### Properties inherited from YAHOO.widget.MenuItem:

`_oAnchor, _oCheckedIndicator, _oHelpTextEM, _oOnclickAttributeValue, _oSubmenu, _oText, _sClassName, browser, CHECKED_TEXT, COLLAPSED_SUBMENU_INDICATOR_TEXT, constructor, CSS_CLASS_NAME, DISABLED_CHECKED_TEXT, DISABLED_SUBMENU_INDICATOR_TEXT, element, EXPANDED_SUBMENU_INDICATOR_TEXT, groupIndex, id, index, parent, srcElement, SUBMENU_TYPE, submenuIndicator, value, YAHOO.widget.MenuItem._DEFAULT_CONFIG, YAHOO.widget.MenuItem._EVENT_TYPES`

### Methods

#### init

`void init ( p_oObject , p_oConfig )`
The MenuBarItem class's initialization method. This method is automatically called by the constructor, and sets up all DOM references for pre-existing markup, and creates required markup if it is not already present.

Parameters:
  `p_oObject <String>` String specifying the text of the menu bar item.
  `p_oObject <HTMLLIElement>` Object specifying the `<li>` element of the menu bar item.
  `p_oObject <HTMLOptGroupElement>` Object specifying the `<optgroup>` element of the menu bar item.
  `p_oObject <HTMLOptionElement>` Object specifying the `<option>` element of the menu bar item.
  `p_oConfig <Object>` Optional. Object literal specifying the configuration for the menu bar item. See configuration class documentation for more details.

Returns: `void`

#### toString

`String toString ( )`
Returns a string representing the menu bar item.

Returns: `String`

#### Methods inherited from YAHOO.widget.MenuItem:

`_checkDOMNode, _createRootNodeStructure, _getFirstElement, _initSubTree, blur, configChecked, configClassName, configDisabled, configEmphasis, configHelpText, configOnClick, configSelected, configStrongEmphasis, configSubmenu, configTarget, configText, configURL, destroy, focus, getNextEnabledSibling, getPreviousEnabledSibling, hasFocus, init, initDefaultConfig, toString`

#### Events inherited from YAHOO.widget.MenuItem:

`blurEvent, clickEvent, destroyEvent, focusEvent, keyDownEvent, keyPressEvent, keyUpEvent, mouseDownEvent, mouseOutEvent, mouseOverEvent, mouseUpEvent`

#### Configuration attributes inherited from YAHOO.widget.MenuItem:

`checked, classname, disabled, emphasis, helptext, onclick, selected, strongemphasis, submenu, target, text, url`

Copyright © 2007 Yahoo! Inc. All rights reserved.